function love.load()
	require("animation.lua")
	local walk = love.graphics.newImage("walk.png")
	local stand = love.graphics.newImage("stand.png")
	local jump = love.graphics.newImage("jump.png")
	local run = love.graphics.newImage("run.png")
	animations = {
		walking = newAnimation(walk, 64, 128, 0.1, 8),
		standing = newAnimation(stand, 64, 128, 0.2, 8),
		jumping = newAnimation(jump, 79, 128, 0.15, 7),
		running = newAnimation(run, 74, 128, 0.1, 8)
	}
	bg = love.graphics.newImage("bg.png")
	pole = love.graphics.newImage("pole.png")
	
	require("Background.lua")
	poles = Background:new()
	
	player = {
		speed = 70,
		state = "standing",
		direction = 1,
		timer = 0
	}
end

function love.update(dt)
	poles:update(dt, player.direction, player.speed)
	
	if player.state ~= "jumping" then
		if love.keyboard.isDown("right") then
			if player.direction < 0 or player.state == "standing" then
				player.timer = 0.9
			end
			player.direction = 1
			
			if player.timer > 0 then
				player.speed = 70
				player.state = "walking"
				player.timer = player.timer - dt
			else
				player.speed = 120
				player.state = "running"
			end
		elseif love.keyboard.isDown("left") then
			if player.direction > 0 or player.state == "standing" then
				player.timer = 0.9
			end
			
			player.direction = -1
			if player.timer > 0 then
				player.speed = 70
				player.state = "walking"
				player.timer = player.timer - dt
			else
				player.speed = 120
				player.state = "running"
			end
		else
			player.speed = 0
			player.state = "standing"
		end
		if love.keyboard.isDown("up") then
			player.state = "jumping"
			player.timer = 1.05
			player.speed = 120
		end
	else
		player.timer = player.timer-dt
		if player.timer <= 0 then
			player.state = "standing"
			player.speed = 0
		end
	end
	animations[player.state]:update(dt)
end

function love.draw()
	poles:draw()
	animations[player.state]:draw(144-32*player.direction, 42, 0, player.direction, 1, 0, 98)
end
